﻿using UnityEngine;

/// <summary>
/// This class represents a single conversation between 2 or more characters / players in the game. The
/// conversation consists of ConversatinEntry items that provide the details of each step of the conversation.
/// </summary>
public class Conversation : ScriptableObject
{
    public ConversationEntry[] ConversationLines;
}