﻿using UnityEditor;
using UnityEngine;

public class ConversationAssetCreator : MonoBehaviour
{
    // This will create a menu option in the Editor menu to create a conversation asset.
    // The CreateAsset method will fire in response to the menu selection, it uses the 
    // CustomAssetUtility helper class to create the Asset file.
    [MenuItem("Assets/Create/Conversation")]
    public static void CreateAsset()
    {
        // Create an asset file based on the Conversation ScriptableObject.
        CustomAssetUtility.CreateAsset<Conversation>();
    }
}